Module | Sequel::Progress::DatabaseMethods
In: | lib/sequel/adapters/shared/progress.rb

### Methods

database_type dataset

### Public Instance methods

database_type()

Progress uses the :progress database type.

[Source]

       # File lib/sequel/adapters/shared/progress.rb, line 6
    6:       def database_type
    7:         :progress
    8:       end

dataset(opts = nil)

[Source]

        # File lib/sequel/adapters/shared/progress.rb, line 10
    10:       def dataset(opts = nil)
    11:         ds = super
    12:         ds.extend(DatasetMethods)
    13:         ds
    14:       end

[Validate]